# Group Members

`GET /workspaces/:workspace/groups/:group_id/members`

Returns all members from the group

**Required Scopes:** `WORKSPACE`

## URL Parameters

```typescript
interface URLParameters {
  /** The human-readable ID of the workspace */
  workspace: string; // Example: "my-company"
  /** The ID of the group */
  group_id: number; // Example: 123
}
```

## Response Body

```typescript
interface ResponseBody {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  members?: GroupMemberView[];
}
```

## Type Definitions

```typescript
interface GroupMemberView {
  /** API endpoint to GET this object */
  url?: string;
  /** Web URL to view this object in Buddy.works */
  html_url?: string;
  /** The ID of the user */
  id?: number;
  /** The name of the user */
  name?: string;
  /** The avatar URL of the user */
  avatar_url?: string;
  /** The email address of the user */
  email?: string;
  /** Whether the user has admin privileges */
  admin?: boolean;
  /** Whether the user is workspace owner */
  workspace_owner?: boolean;
  /** The status of the group member */
  status?: "MEMBER" | "MANAGER";
}

```

## Response Example

**Status:** `200 OK`

```json
{
  "url": "https://api.buddy.works/workspaces/my-workspace/groups/123/members",
  "html_url": "https://app.buddy.works/my-workspace/-/people/groups",
  "members": [
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/groups/123/members/216",
      "html_url": "https://app.buddy.works/my-workspace/-/profile/216",
      "id": 216,
      "name": "John Doe",
      "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/2/1/6/avatar.png",
      "email": "john.doe@example.com",
      "admin": false,
      "workspace_owner": false,
      "status": "MEMBER"
    },
    {
      "url": "https://api.buddy.works/workspaces/my-workspace/groups/123/members/215",
      "html_url": "https://app.buddy.works/my-workspace/-/profile/215",
      "id": 215,
      "name": "Jane Smith",
      "avatar_url": "https://app.buddy.works/image-server/user/0/0/0/0/2/1/5/avatar.png",
      "email": "jane.smith@example.com",
      "admin": true,
      "workspace_owner": false,
      "status": "MANAGER"
    }
  ]
}
```

---
Original source: https://buddy.works/docs/api/platform/groups/list/group-members